#ifndef KJPREFS_H
#define KJPREFS_H

#include <qvariant.h>
#include <qwidget.h>
#include <noatunpref.h>

class QVBoxLayout; 
class QHBoxLayout; 
class QGridLayout; 
class QComboBox;
class QLabel;
class QPushButton;
class KJLoader;

class KJPrefs : public CModule
{ 
Q_OBJECT
public:
	KJPrefs(QWidget* parent = 0, char* name = 0);
	virtual void save();
	virtual void reopen();

public slots:
	void add();
	void showPreview(const QString &skin);	

private:
	QComboBox *mSkins;
	QPushButton *mAdd;
	QLabel *mPreview;
	QPixmap mPixmap;
};

QString getFullPath(const QString &file);

#endif // FORM1_H
